package be.iminds.ilabt.jfed;

import be.iminds.ilabt.jfed.preferences.JFedCorePreferences;
import be.iminds.ilabt.jfed.preferences.JFedGuiPreferences;
import be.iminds.ilabt.jfed.preferences.JFedPreferences;
import com.google.inject.AbstractModule;

import javax.inject.Singleton;

/**
 * BaseGuiModule
 */
public class BaseGuiModule extends AbstractModule {
    @Override
    protected void configure() {
        bind(JFedGuiPreferences.class).in(Singleton.class);
        bind(JFedPreferences.class).to(JFedGuiPreferences.class).in(Singleton.class);
        bind(JFedCorePreferences.class).to(JFedGuiPreferences.class).in(Singleton.class);
    }

}
